## Function template range_manip

boost::log::range_manip

## Synopsis

    // In header: <boost/log/utility/manipulators/range.hpp>

    template<typename RangeT, typename DelimiterElementT, std::size_t N>
      range_manipulator< RangeT, DelimiterElementT * >
      range_manip(RangeT const & range, DelimiterElementT(&) delimiter);

## Description

Range manipulator generator function.

| Note
Both range and delimiter objects must outlive the created manipulator object.

Parameters: |
`delimiter` | Delimiter to separate elements in the output. Optional. If not specified, elements are output without separation.
`range` | Range of elements to output. The range must support begin and end iterators, and its elements must support stream output.
Returns: | Manipulator to be inserted into the stream.